{
   Orao emulator - SetupForm

   Copyright (C) 2006 Josip Peruanec <josip.perusanec@foing.hr>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}

unit SetupForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TfrmSetup = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    ComboBox2: TComboBox;
    Label2: TLabel;
    Label3: TLabel;
    ComboBox3: TComboBox;
    CheckBox: TCheckBox;
    CheckBox1: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSetup: TfrmSetup;

implementation

uses MainForm;

{$R *.dfm}

procedure TfrmSetup.BitBtn1Click(Sender: TObject);
begin
  frmMain.AktivniROM:=ComboBox1.ItemIndex+1;
  frmMain.DoubleSize:=ComboBox2.ItemIndex;
  frmMain.Uspori:=1-ComboBox3.ItemIndex;
  if CheckBox.Checked then
    frmMain.TapeSnd:=1
  else
    frmMain.TapeSnd:=0;
  if CheckBox1.Checked then
    frmMain.FastTape:=1
  else
    frmMain.FastTape:=0;
  frmSetup.ModalResult:=mrOK;
end;

procedure TfrmSetup.BitBtn2Click(Sender: TObject);
begin
  frmSetup.ModalResult:=mrCancel;
end;

procedure TfrmSetup.FormShow(Sender: TObject);
var
  i: integer;
begin
  ComboBox1.Items.Clear;
  for i:= 1 to 5 do begin
    if Trim(frmMain.Ime[i])<>'' then
      ComboBox1.Items.Add(frmMain.Ime[i]);
  end;
  ComboBox1.ItemIndex:=frmMain.AktivniROM-1;
  ComboBox2.ItemIndex:=frmMain.DoubleSize;
  ComboBox3.ItemIndex:=1-frmMain.Uspori;
  if (frmMain.TapeSnd>0) then
    CheckBox.Checked:=True
  else
    CheckBox.Checked:=False;
  if (frmMain.FastTape>0) then
    CheckBox1.Checked:=True
  else
    CheckBox1.Checked:=False;
end;

end.
